Subject: Re: bug#7358: 23.1; Crash involving emacsclient -c and multiple $DISPLAYs

From: Nelson Elhage <[email-masked]>
Date: Tue, 09 Nov 2010 14:15:52 -0500

Yes, I have seen this on a non-Gtk emacs. I submitted the bug report
from the same build of emacs that experienced this bug.

I'll see if I can reproduce on a newer build.

- Nelson

On Tue, 09 Nov 2010 14:08:10 -0500, Stefan Monnier <[email-masked]> wrote:
> > I have been getting a lot of crashes when I run 'emacs --daemon' and
> > then connect to it using 'emacsclient -c' with multiple $DISPLAY
> > values. The crashes usually happen when or shortly after I close a
> > window started on a different $DISPLAY than the one I started --daemon
> > in.
> 
> There is a known bug in Gtk that causes this kind of problem (see C-h
> C-p).  But your bug-report was sent from an Emacs built with Xaw3d
> rather than Gtk, so could you please confirm if you've seen this problem
> only with a Gtk-version of Emacs or also with a non-Gtk version of Emacs?
> 
> Also, if it's not the Gtk bug, could you check whether you can still
> reproduce the bug with Emacs-23.2 (released about a year ago) or, better
> yet, with the brand new 23.2.90 pretest (to become 23.3)?
> 
> 
>         Stefan
>